* { box-sizing: border-box; }

::-webkit-scrollbar {
    display: none;
}

html {
    scroll-behavior: smooth;
}

body.bodylanding {
    margin: 0;
    font-family: 'Plus Jakarta Sans', sans-serif;
    background: #121212;
}

body.loginbody {
    padding: 0;
}

#planes, #tools {
  scroll-margin-top: 90px;
}

#header-landing {
    display: flex;
    align-items: center;
    width: 94%;
    max-width: 1000px;
    margin: 0px auto;
    padding: 20px 35px 27px;
    border-radius: 0 0 45px 45px;
    box-shadow: 0 -4px 10px 5px rgba(255, 0, 0, 0.5), 4px 0 10px 5px rgba(0, 0, 255, 0.5), 0 4px 10px 5px rgba(0, 128, 0, 0.5), -4px 0 10px 5px rgba(255, 165, 0, 0.5);
    border: 2px solid transparent;
    position: fixed;
    background: white;
    top: 0px;
    left: 0;
    right: 0;
    transition: background 0.6s ease, backdrop-filter 0.6s ease;
    z-index: 2;
}

#header-landing.scrolled {
    background: rgba(255,255,255,0.5);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
}

#header-landing:hover {
    background: white;
}

#header-landing img {
    width: 180px;
    margin-top: 9px;
}

#logo:hover {
    opacity: 0.7;
}

#header-landing img#wppheadericon {
    width: 15px;
    margin-top: 0;
}

#header-landing img.downimg {
    width: 8px;
    margin-top: 0;   
}

.headeropt {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 15px;
    justify-content: flex-end;
    width: 100%;
}

.headeropt p {
    margin: 0;
    cursor: pointer;
    font-weight: 500;
    display: flex;
    align-items: center;
    gap: 4px;
}

.headeropt p a {
    text-decoration: none;
    color: black;
}

.headeropt p a:hover {
    text-decoration: underline;
    opacity: 0.8;
}

.headermobmen {
    display: none;
}

.planescontainer {
    background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgb(255 255 255) 20%, white 20%, white 80%, rgb(255, 255, 255) 80%, rgba(255, 255, 255, 0) 100%);
}

.planes {
    display: flex;
    justify-content: center;
    gap: 15px;
    padding: 20px 0px;
    margin: 25px 0;
    width: 92%;
    margin: 25px auto;
    opacity: 0;
    transform: translateY(60px);
    transition: all 0.8s cubic-bezier(.22,1,.36,1);
}

/* Cada columna */
.plan {
    flex: 1;
    max-width: 450px;
    padding: 30px 18px  ;
    border-radius: 45px 7px 7px 45px;
    background: linear-gradient(45deg, black 50%, transparent 120%);
    text-align: center;
    color: white;
    box-shadow: 0 -4px 10px -2px rgba(255, 0, 0, 0.5), 4px 0 10px -2px rgba(0, 0, 255, 0.5), 0 4px 10px -2px rgba(0, 128, 0, 0.5), -4px 0 10px -2px rgb(0 255 161 / 50%);
    border: 2px solid transparent;
    height: auto;
}

/* Destacar PRO */
.plan.pro {
    background: #FFFFFF55;
    color: black;
    box-shadow: 0 -4px 15px 0px rgba(255, 0, 0, 0.5), 4px 0 15px -2px rgba(0, 0, 255, 0.5), 0 4px 15px -2px rgba(0, 128, 0, 0.5), -4px 0 15px -2px rgb(0 255 161 / 50%);
    border: 2px solid transparent;
    border-radius: 7px 45px 45px 7px;
    position: relative;
}

.precio {
    font-size: 28px;
    font-weight: bold;
    margin: 20px 0;
}

.plan ul {
    list-style: none;
    padding: 0;
    max-height: 175px;
    overflow: auto;
}

.plan ul li {
    margin: 10px 0;
    font-size: 21px;
}

.plan button {
    margin-top: 20px;
    padding: 10px 20px;
    border: none;
    border-radius: 25px;
    cursor: pointer;
    font-weight: bold;
    font-size: 20px;
}

.plan button:hover {
    opacity: 0.8;
}

/* Botón FREE */
.plan.free button {
    background: #ddd;
}

/* Botón PRO */
.plan.pro button {
    background: #fff;
    color: #ff0057;
    box-shadow: 0 -4px 15px 0px rgba(255, 0, 0, 0.5), 4px 0 15px -2px rgba(0, 0, 255, 0.5), 0 4px 15px -2px rgba(0, 128, 0, 0.5), -4px 0 15px -2px rgb(0 255 161 / 50%);
    border: 2px solid transparent;
}

h2 {
    margin: 0 auto;
    font-size: 35px;
    width: fit-content;
    font-weight: 900;
}

h2.pro {
    background: linear-gradient(45deg, #2964cd, #E91E63);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    filter: drop-shadow(0px 0px 9px #a4ffb2);
}

h2 img {
    width: 28px;
    filter: invert(17%) sepia(97%) saturate(7490%) hue-rotate(225deg);
}

.textpresentation {
    width: 90%;
    max-width: 800px;
    margin: 125px auto 90px;
    font-size: 90px;
    text-align: center;
    background: linear-gradient(45deg, #52f559, #ffffff);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: 500;
    opacity: 0;
    transform: translateY(60px);
    transition: all 0.8s cubic-bezier(.22,1,.36,1);
}

.textpresentation.title {
    margin: 90px auto;
}

.dl {
    font-weight: 400;
    background: linear-gradient(45deg, white, #3F51B5);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-style: italic;
    font-family: "Instrument Serif", "Instrument Serif Fallback";
    animation: glow 1.5s ease-in-out infinite alternate;
    text-shadow: 0 0 5px rgba(37, 99, 235, 0.4),
                 0 0 25px rgba(37, 99, 235, 0.7);
}

.dl.d2 {
    text-shadow: 0 0 5px rgb(235 37 174 / 40%), 0 0 25px rgba(37, 99, 235, 0.7);
}

.textbg {
    width: 100%;
    background: linear-gradient(360deg, transparent, #102753, transparent);
}

/*
@keyframes glow {
    from {
        text-shadow: 0 0 5px rgba(37, 99, 235, 0.4),
                     0 0 10px rgba(37, 99, 235, 0.3);
    }
    to {
        text-shadow: 0 0 15px rgba(37, 99, 235, 0.9),
                     0 0 25px rgba(37, 99, 235, 0.7);
    }
}
*/

.mainimgscontainer {
    width: 100%;
    margin: auto;
}

img.mainimgs {
    filter: brightness(1.2);
    position: absolute;
    z-index: -1;
    top: 0;
    height: 670px;
    overflow: hidden;
    width: 100%;
    object-fit: cover;
}

img.mainimgs.loginmainimg {
    height: 100%;
    opacity: 0.25;
}

.textopcontainer {
    border-radius: 45px;
    margin: auto;
    width: 90%;
    max-width: 900px;
    position: relative;
    background: linear-gradient(45deg, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.9), rgba(0, 0, 0, 0.2));
}

.carruselcont {
    background: linear-gradient(360deg, transparent, white, transparent);
    width: 100%;
    opacity: 0;
    transform: translateY(60px);
    transition: all 0.8s cubic-bezier(.22,1,.36,1);
    scroll-behavior: smooth;
}

.panelimg {
    display: flex;
    width: 100%;
    margin: auto;
    gap: 20px;
    justify-content: center;
    overflow: visible;
    background: linear-gradient(360deg, transparent, #102753, transparent);
    align-items: center;
    opacity: 0;
    transform: translateY(60px);
    transition: all 0.8s cubic-bezier(.22,1,.36,1);
}

.panelimg img {
    width: 430px;
    border-radius: 11px;
    box-shadow: 0 -4px 6px -2px rgba(255, 0, 0, 0.5), 4px 0 5px -2px rgba(0, 0, 255, 0.5), 0 4px 5px -2px rgba(0, 128, 0, 0.5), -4px 0 5px -2px rgba(255, 165, 0, 0.5);
    border: 2px solid transparent;
    rotate: -3deg;
    transform: rotate(-3deg);
    transition: transform 0.5s ease;
}

.panelimg img:hover {
    transform: rotate(3deg) scale(1.3);
}

#close {
    padding: 13px;
}

.tools-section {
    width: 700px;
    margin: 100px auto;
    display: flex;
    flex-direction: column;
    gap: 10px;
    border-radius: 35px;
    padding: 40px 25px 0;
    box-shadow: 0 -4px 5px 3px rgb(255 0 0 / 25%), 4px 0 5px 3px rgb(47 134 255 / 25%), 0 4px 5px 3px rgb(0 128 0 / 25%), -4px 0 5px 3px rgb(255 165 0 / 25%);
    border: 2px solid transparent;
    background: linear-gradient(219deg, #ffffff, #ffffff, #c3dcff, #ffd7e5, #e4ffe5, #fffad1, #ffffff, #ffffff);
}

.tool {
    display: flex;
    align-items: center;
    gap: 40px;
    margin-bottom: 36px;
    opacity: 0;
    transform: translateY(60px);
    transition: all 0.8s cubic-bezier(.22,1,.36,1);
}

.tool.rt {
    align-items: flex-start;
}

.tool-img img {
    width: 50px;
    border-radius: 14px 4px;
    background: #121212;
    padding: 7px;
    box-shadow: 0 -4px 6px -2px rgba(255, 0, 0, 0.5), 4px 0 5px -2px rgba(0, 0, 255, 0.5), 0 4px 5px -2px rgba(0, 128, 0, 0.5), -4px 0 5px -2px rgba(255, 165, 0, 0.5);
    border: 2px solid transparent;
}

.tool-img img.resimg {
    width: 100px;
    margin-top: 10px;
    padding: 0;
    transition: transform 0.3s ease;
    background: white;
}

.tool-img a.reslink {
    text-decoration: none;
}

.tool-img a.reslink:hover {
    opacity: 0.75;
}

.tool-img a.reslink:hover img.resimg {
    transform: scale(1.1);
}

.tool-content h3 {
    font-size: 30px;
    margin-bottom: 10px;
    margin-top: 0;
    font-weight: 500;
    color: black;
}

.tool-content h3.pp {
    font-size: 25px;
}

.tool-content p {
    font-size: 16px;
    opacity: 0.8;
    line-height: 1.6;
    margin: 0;
}

.btnres {
    width: 100%;
    margin: auto;
    text-align: center;
    padding: 5px 9px;
    box-shadow: 0 -4px 6px -2px rgba(255, 0, 0, 0.5), 4px 0 5px -2px rgba(0, 0, 255, 0.5), 0 4px 5px -2px rgba(0, 128, 0, 0.5), -4px 0 5px -2px rgba(255, 165, 0, 0.5);
    border: 2px solid transparent;
    border-radius: 4px 14px;
    font-size: 14px;
    font-weight: 500;
    margin-top: 10px;
    background: #1e1e1e;
    color: white;
}

/* Estado visible */
.tool.show, .carruselcont.show,
.panelimg.show, .textpresentation.show, .planes.show,
.menuop.show, #landingfaqs li.faqs.show {
    opacity: 1;
    transform: translateY(0);
}

.btnstart {
    background: white;
    text-align: center;
    margin: auto;
    width: 250px;
    padding: 15px;
    border-radius: 45px;
    box-shadow: 0 -4px 6px -2px rgba(255, 0, 0, 0.5), 4px 0 5px -2px rgba(0, 0, 255, 0.5), 0 4px 5px -2px rgba(0, 128, 0, 0.5), -4px 0 5px -2px rgba(255, 165, 0, 0.5);
    border: 2px solid transparent;
    transition: transform 0.5s ease;
}

.btnstart.loginbtn {
    padding: 7px 15px;
    margin-top: 20px;
}

.btnstart:hover {
    box-shadow: 0 -4px 5px 3px rgb(255 0 0 / 25%), 4px 0 5px 3px rgba(196, 47, 255, 0.25), 0 4px 5px 3px rgb(0 128 0 / 25%), -4px 0 5px 3px rgb(255 165 0 / 25%);
    cursor: pointer;
}

.btnstart a {
    text-decoration: none;
    color: black;
    font-size: 23px;
    font-weight: 600;
    background: linear-gradient(45deg, #a200ad, #3F51B5);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.btnstart.loginbtn a {
    font-size: 19px;
}

.menu, .menuZ, .menuZ2 {
    width: 500px;
}

.logincontainer {
    position: relative;
    margin: 25px auto 25px;
    background: rgb(255 255 255 / 100%);
    padding: 16px 25px 25px 25px;
    border-radius: 4px;
    width: 500px;
    max-width: 85%;
    box-shadow: 0px 2px 14px 3px #5fb8ff;
}

.logincontainer input {
    width: 100%;
    padding: 12px;
    margin: 20px 0;
    font-size: 18px;
    color: #3b3b3b;
    border: 1px solid #c9c9c9;
    border-radius: 5px;
}

.logincontainer input.inp1 {
    margin-bottom: 5px;
}

.passinput {
    position: relative;
}

.logincontainer img#eye0 {
    position: absolute;
    right: 12px;
    bottom: 30px;
    width: 35px;
    border-left: 2px solid #c9c9c9;
    padding-left: 7px;
}

.istxt {
    color: white;
    font-size: 25px;
    background: linear-gradient(45deg, #a200ad, #3F51B5);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: 500;
    margin-bottom: 10px;
    width: fit-content;
}

#dbgtop {
    position: fixed;
    width: 100%;
    height: 212px;
    background: linear-gradient(0deg, transparent, white);
    top: 0;
    z-index: -1;
}

.loginlogo {
    width: 500px;
    max-width: 90%;
    margin: 45px auto 0;
    text-align: center;
}

.loginlogo img {
    filter: drop-shadow(0px 0px 4px white);
    width: 200px;
    margin-left: 5px;
    margin-bottom: 15px;
}

#warning {
    color: #ffffff;
    padding: 4px 15px;
    font-weight: 500;
    text-align: center;
    border-radius: 15px;
    background: #b10000;
}

.forgotp {
    color: #212121;
}

.nxlogologin {
    text-align: center;
    position: absolute;
    bottom: 0;
    margin: auto;
    left: 0;
    right: 0;
    background: #FFFFFFCC;
    width: 40%;
    border-radius: 25px 25px 0 0;
    padding: 7px;
    max-width: 200px;
    z-index: -1;
}

.nxlogologin img {
    width: 100px;
}

.totop {
    position: fixed;
    right: 100px;
    bottom: 50px;
    background: linear-gradient(#062f5ccc, #00000040);
    border-radius: 25px;
    padding: 7px;
    box-shadow: 0 -4px 6px -2px rgba(255, 0, 0, 0.5), 4px 0 5px -2px rgba(0, 0, 255, 0.5), 0 4px 5px -2px rgba(0, 128, 0, 0.5), -4px 0 5px -2px rgba(255, 165, 0, 0.5);
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.35s ease;
    pointer-events: none;
}

.totop.show:hover {
    transform: translateY(0) scale(1.2);
}

.totop.clicked,
.totop.clicked:hover {
    transform: translateY(0) scale(1);
}

.totop.show{
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
}

.totop img {
    width: 45px;
    filter: invert(1);
    cursor:pointer;
}

#landingfaqs {
    width: 90%;
    max-width: 700px;
    margin: auto;
    background: linear-gradient(45deg, #121212, black);
    border-radius: 35px;
}

#landingfaqs li.faqs {
    position: relative;
    list-style-type: none;
    padding: 15px 45px 15px 15px;
    font-weight: 400;
    margin-bottom: 10px;
    color: white;
    border-bottom: 1px solid #333333;
    font-size: 25px;
    background: unset;
    opacity: 0;
    transform: translateY(60px);
    transition: all 0.8s cubic-bezier(.22,1,.36,1);
}

#landingfaqs li.faqs.last {
    border-bottom: none;
}

#landingfaqs li.faqs img {
    position: absolute;
    right: 12px;
    top: 0;
    width: 26px;
    padding: 4px;
    border-radius: 4px;
    bottom: 0;
    margin: auto;
    filter: invert(1);
    background: unset;
}

.submenu.faqsubmenu, .submenu.faqsubmenu.open {
    background: unset;
    color: #c5c5c5;
    font-weight: 400;
    font-size: 20px;
}

p.faqanswer {
    white-space: pre-line;
    margin: -6px 5px 5px 5px;
    background: linear-gradient(45deg, #3d3d3d, #121212);
    padding: 0 20px 27px;
    border-radius: 0;
}

.google_session {
    display: flex;
    gap: 10px;
    font-weight: 500;
    border: 1px solid #c9c9c9;
    border-radius: 5px;
    padding: 12px;
    justify-content: center;
    margin-top: 20px;
    align-items: center;
}

.google_session img {
    width: 25px;
}

.or {
    text-align: center;
    margin-top: 16px;
    color: gray;
    font-weight: 600;
}


@media (max-width: 768px) {

    #header-landing {
        padding: 20px 20px;
    }

    #header-landing img {
        margin-top: 5px;
    }

    .headeropt {
        display: none;
    }

    .planes {
        align-items: center;
    }

    .plan {
        height: 475px;
    }

    .headermobmen {
        display: block;
        position: absolute;
        right: 30px;
        top: 17px;
        filter: opacity(0.7);
    }

    #header-landing .headermobmen img {
        width: 30px;
    }

    .textpresentation {
        font-size: 45px;
        margin: 175px auto 300px;
        padding: 15px;
    }

    .textopcontainer {
        width: 90%;
        border-radius: 0 25px 62px 0;
        margin: unset;
        transition: transform 0.1s linear;
        will-change: transform;
    }

    img.mainimgs {
        height: 900px;
    }

    .dl {
        font-weight: 600;
    }

    .panelimg {
        width: 100%;
        overflow: hidden;
        height: 400px;
        white-space: nowrap;
    }

    .plan ul li {
        font-size: 18px;
    }

    #close {
        padding: 1px 7px;
    }

    .tool {
        flex-direction: column;
        text-align: center;
        gap: 10px;
    }

    .tool.rt {
        align-items: flex-start;
        flex-direction: row;
        text-align: left;
        gap: 20px;
    }

    .tools-section {
        width: 85%;
        gap: 10px;
    }

    .tool-img img {
        width: 62px;
    }

    .menu, .menuZ, .menuZ2 {
        width: 100%;
    }

    .menuop {
        padding: 22px 15px;
        margin-bottom: 15px;
        background: black;
        border-radius: 7px;
        color: white;
        font-size: 32px;
        font-weight: 300;
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 8px;
        box-shadow: 0 -4px 5px -2px rgba(255, 0, 0, 0.5), 4px 0 5px -2px rgba(0, 0, 255, 0.5), 0 4px 5px -2px rgba(0, 128, 0, 0.5), -4px 0 5px -2px rgba(255, 165, 0, 0.5);
        border: 2px solid transparent;
        opacity: 0;
        transform: translateY(60px);
        transition: all 0.8s cubic-bezier(.22,1,.36,1);
    }

    .menuop.cshop {
        background: linear-gradient(45deg, #3e1d78, #152166, #000000);
    }

    .menuop img {
        filter: invert();
        width: 15px;
    }

    .menuop img#wppheadericon {
        width: 25px;
        filter: invert(17%) sepia(97%) saturate(7491%) hue-rotate(133deg) brightness(1.5);
    }

    .menuop img.iconmenu {
        width: 28px;
        margin-top: 0;
    }

    .menuop img#reg {
        filter: invert(17%) sepia(97%) saturate(7491%) hue-rotate(207deg) brightness(1.5);
    }

    .menuop img#price {
        filter: invert(17%) sepia(97%) saturate(7491%) hue-rotate(306deg) brightness(1.5);
    }

    .menuop img#tools {
        filter: invert(17%) sepia(97%) saturate(7491%) hue-rotate(46deg) brightness(1.5);
    }

    .nxlogomenu {
        text-align: center;
        margin-top: 100px;
    }

    .nxlogomenu img {
        width: 120px;
    }

    .istxt {
        font-size: 28px;
        font-weight: 600;
    }

    .logincontainer input {
        padding: 18px;
        font-size: 20px;
    }

    .logincontainer img#eye0 {
        bottom: 35px;
        width: 40px;
    }

    .loginlogo img {
        width: 220px;
    }

    .btnstart.loginbtn {
        margin: 20px auto 0;
    }

    .btnstart.loginbtn a {
        font-size: 24px;
    }

    .totop {
        right: 10px;
        bottom: 10px;
    }

    .plan button {
        font-size: 14px;
    }

    .google_session {
        font-weight: 600;
        padding: 18px;
    }

}